2019/05/23 14:34 JST

Geeklog Japan Forums

Ver1.8?->Ver2.0 テーマは事前に変更する必要がありますか?


状態: オフライン

yoshiro

Forum User
Active Member
登録日: 08/28/06
投稿数: 49
場所:Kyoto
cold
上記バージョンアップを進めるに際し、ダウンロードサイトの注意書きに、「テーマはあらかじめ2.0.0のテーマにアップグレードしておいた上で、/admin/install.php を実行してください。」との記述があります。 事前にテーマだけをver2.0対応のテーマにしてからインストールを開始する必要があるという意味でしょうか? (そもそもVer1.8?上にVer2 用のテーマはインストールできるのでしょうか?)ご教授いただければ幸いです。 何度か、バージョンアップの際に失敗したことがありお聞きする次第です。 よろしくお願いします。

状態: オフライン

Ivy

Site Admin
Admin
登録日: 01/01/04
投稿数: 5905
場所:Tokyo
アップグレードの際に、まずバックアップしたあと、Geeklog 2.0.0のソースをすべてサーバーにアップロードすることになりますが、
その際、テーマを、デフォルトで提供したテーマでない場合には、テーマのファイルが上書きされませんので、そのため、テーマはバックアップをとったうえで、2.0.0で提供しているテーマのファイルで上書きしてください。

その際、2.0.0からは、functions.phpの5つのファイルの関数名に、テーマ名が使われるようになっていますので、functions.phpをかならず編集してください。

状態: オフライン

Ivy

Site Admin
Admin
登録日: 01/01/04
投稿数: 5905
場所:Tokyo
professional_cssベースからdenimへの変更は、そうむずかしくないですので、レスポンシブWEBデザイン、ぜひご活用ください。

状態: オフライン

yoshiro

Forum User
Active Member
登録日: 08/28/06
投稿数: 49
場所:Kyoto
早速のアドバイスありがとうございました。 つまり、(旧バージョン1.8?)標準のテーマをそのまま使えば特にテーマを先にバージョンアップする必要は無いとでよろしいでしょうか? 

状態: オフライン

Ivy

Site Admin
Admin
登録日: 01/01/04
投稿数: 5905
場所:Tokyo
たとえばprofessional_cssのテーマを、テーマ名を変更しないで使っていた場合、Geeklog 2.0.0のソースを上書きしたら、テーマも上書きされるので、別途テーマのファイルを上書きする必要はない、ということです。

状態: オフライン

yoshiro

Forum User
Active Member
登録日: 08/28/06
投稿数: 49
場所:Kyoto
ご確認ありがとうございました。最後までアドバイスいただき感謝しています。

時刻はすべて JST , 現在の時刻は 02:34 PM

  • 通常
  • 注目トピック
  • ロック済
  • 新着
  • 注目トピック 新着
  • ロック済トピック 新着
  •  ゲストユーザの投稿を見る
  •  ゲストユーザ投稿可能
  •  一部のHTMLを許可
  •  バッドワードをチェック